Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.transform
Interface NodeTransformer

All Superinterfaces:
  Transformer

All Known Implementing Classes:
  NodeTransformerImpl

public interface NodeTransformer
extends Transformer

Transforms the input to a result node. The transformer appends children to the result node. You can use any element or document as the result node. ``

     Stylesheet style = ...;
     Node node = ...;

     NodeTransformer transformer = style.newNodeTransformer();

     transformer.transform("test.xml", node);

Since:
  Resin 1.2

Method Summary
`Node` | `transform(java.io.InputStream source, Node result)` Transforms an input stream to the node
`Node` | `transform(Node source, Node result)` Transforms a node to the result node
`Node` | `transform(java.lang.String systemId, Node result)` Transforms a file URL to the node
`Node` | `transformString(java.lang.String source, Node result)` Transforms a string to the result node

Methods inherited from interface com.caucho.transform.Transformer
`addFunction, getFeature, getParameter, getProperty, setFeature, setParameter, setProperty`

Method Detail

### transform

    public Node transform(java.io.InputStream source,
                          Node result)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms an input stream to the node
  Parameters:
    `source` - an input stream for an XML document
    `result` - node serving as the parent of the results

### transform

    public Node transform(java.lang.String systemId,
                          Node result)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms a file URL to the node
  Parameters:
    `systemID` - a file URL for an XML document
    `result` - node serving as the parent of the results

### transform

    public Node transform(Node source,
                          Node result)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms a node to the result node
  Parameters:
    `source` - source node for the transformation
    `result` - node serving as the parent of the results

### transformString

    public Node transformString(java.lang.String source,
                                Node result)
                         throws org.xml.sax.SAXException,
                                java.io.IOException

  Transforms a string to the result node
  Parameters:
    `source` - source string containing the XML
    `result` - node serving as the parent of the results

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD